How-To: Opencart UPGRADE Database from 1.5.6.4 to 2.0

Torbalan Trolski

Well-Known Member
Once again I convinced myself why this stuff works correctly. If someone is willing to go into this, well, here some hits, that will save you a lot of time.

In all requests replace prefix_ with the value from define('DB_PREFIX', 'prefix_')

install/model/upgrade.php defiantly does not work correctly.

edit 3: final (at least i hope) script

execute this SQL on your 1.5.6.4 DB

your database in now 2.0 ready

in config.php and admin/config.php from 1.5.6.4
  • change define('DB_DRIVER', 'mysql'); to define('DB_DRIVER', 'mysqli');
  • add define('DIR_MODIFICATION', DIR_SYSTEM . 'modification/');

Install 2.0

PS: if you don't have backups and do upgrade on live DB it's your epic fail
 
Последно редактирано:

Torbalan Trolski

Well-Known Member
Opencart UPGRADE - 1.5.6.4 to 2.0 problms with the Data Bases

reserved 10 symbols
 
Последно редактирано:

Torbalan Trolski

Well-Known Member
Opencart UPGRADE from 1.5.6.4 to 2.0 problems with DB

reserved 10 symbols
 
Последно редактирано от модератор:

Горе